{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
    "identifier": "addon:s686"
    },
    "tags": [ "crafting_table" ],
    "pattern": [
      "XX ",
      "CZY",
      " CB"
    ],
    "key": {
      "X": {
        "item": "addon:musket_barrel"
      },
      "Y": {
        "item": "addon:iron_plate"
      },
      "Z": {
        "item": "minecraft:planks"
      },
      "B": {
        "item": "addon:wooden_stock"
      },
      "C": {
        "item": "addon:steel_nugget"
      }
    },
    "result": {
      "item": "addon:s686"
    }
  }
}